{% load static %}{% load mis_tags %}
{%if modosubcomment%}

<div class="card card-inner">
    <div class="card-body">
        <div class="row">
            <div class="col-md-2">
                <img src="{{ sc.usuario.imagen_usuario.url}}" class="img img-rounded img-fluid" />
                <p class="text-secondary text-center"></p>
            </div>
            <div class="col-md-10">
                <p><a href="#"><strong>{{ sc.usuario.username}}</strong></a>
                    {% if usuario.id == sc.usuario.id %}
                    <i data-commid="{{comm.id}}" class="fic-trash float-right del-comment"
                        style="cursor:pointer" data-toggle="modal" data-target="#del-confirm-{{comm.id}}"></i>
                    <div class="modal fade" id="del-confirm-{{sc.id}}" tabindex="-1" role="dialog"
                        aria-labelledby="del-confirm-{{sc.id}}" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                                        comentario?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary"
                                        data-dismiss="modal">No</button>
                                    <button type="button" class="btn btn-primary del-comm-ok"
                                        data-commid="{{sc.id}}" data-dismiss="modal">Si</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {%endif%}
                </p>
                <p> <time class="comment-date" datetime="{{ comm.created_date|date:'d-m-Y G:i:s' }}"><i
                            class="fic-clock-o"></i>
                        {{ comm.created_date|date:'d-m-Y G:i:s' }}</time>
                </p>
                <p>{{sc.text}}</p>
                <p>
                 <!--  {% if user.is_authenticated %}
                    <a class="float-right btn btn-outline-primary ml-2" data-toggle="collapse"
                        href="#replycollapse-{{sc.id}}" role="button" aria-expanded="false"
                        aria-controls="replycollapse-{{sc.id}}"> <i class="fic-reply"></i> Responder</a>
                    {%endif%}
                    --> 
                </p>
            </div>
        </div>
    </div>
</div>
<div class="collapse w-100" id="replycollapse-{{sc.id}}">
    <div class="card card-body">
        <div class="form-group pl-2 w-100">
            <textarea class="form-control txt-comment-reply" rows="2" id="comment"></textarea>
            <p class="text-right">
                <a href="#" class="btn btn-default btn-sm add-reply" data-cid="{{comic.id}}"
                    data-commentid="{{sc.id}}">
                    <i class="fic-plus"></i> Agregar
                </a>
            </p>
        </div>
    </div>
</div>

{%else%}
<div class="card">
    <div class="card-body">
        <div class="row">
            <div class="col-md-2">
                <img src="{{ comm.usuario.imagen_usuario.url}}" class="img img-rounded img-fluid" />
                <p class="text-secondary text-center"></p>
            </div>
            <div class="col-md-10">
                <p>
                    <a class="float-left" href="#"><strong>{{ comm.usuario.username}}</strong></a>
                    {% if usuario.id == comm.usuario.id %}
                    <i data-commid="{{comm.id}}" class="fic-trash float-right del-comment" style="cursor:pointer"
                        data-toggle="modal" data-target="#del-confirm-{{comm.id}}"></i>
                    <div class="modal fade" id="del-confirm-{{comm.id}}" tabindex="-1" role="dialog"
                        aria-labelledby="del-confirm-{{comm.id}}" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                                        comentario?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                    <button type="button" class="btn btn-primary del-comm-ok" data-commid="{{comm.id}}"
                                        data-dismiss="modal">Si</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    {%endif%}
                </p>
                <p> <time class="comment-date" datetime="{{ comm.created_date|date:'d-m-Y G:i:s' }}"><i
                            class="fic-clock-o"></i>
                        {{ comm.created_date|date:'d-m-Y G:i:s' }}</time>
                </p>
                <div class="clearfix"></div>
                <p>{{comm.text}}</p>

                <p>
                    {% if usuario.is_authenticated %}
                    <a class="float-right btn btn-outline-primary ml-2" data-toggle="collapse"
                        href="#replycollapse-{{comm.id}}" role="button" aria-expanded="false"
                        aria-controls="replycollapse-{{comm.id}}"> <i class="fic-reply"></i> Responder</a>
                    {%endif%}

                </p>
            </div>
            <div class="collapse w-100" id="replycollapse-{{comm.id}}">
                <div class="card card-body">
                    <div class="form-group pl-2 w-100">
                        <textarea class="form-control txt-comment-reply" rows="2" id="comment"></textarea>
                        <p class="text-right">
                            <a href="#" class="btn btn-default btn-sm add-reply" data-cid="{{comic.id}}"
                                data-commentid="{{comm.id}}">
                                <i class="fic-plus"></i> Agregar
                            </a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        {% subcomments_t comm.id as sc%}
        {% for sc in  sc%}
        <div class="card card-inner">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-2">
                        <img src="{{ sc.usuario.imagen_usuario.url}}" class="img img-rounded img-fluid" />
                        <p class="text-secondary text-center"></p>
                    </div>
                    <div class="col-md-10">
                        <p><a href="#"><strong>{{ sc.usuario.username}}</strong></a>
                            {% if usuario.id == sc.usuario.id %}
                            <i data-commid="{{comm.id}}" class="fic-trash float-right del-comment"
                                style="cursor:pointer" data-toggle="modal" data-target="#del-confirm-{{comm.id}}"></i>
                            <div class="modal fade" id="del-confirm-{{sc.id}}" tabindex="-1" role="dialog"
                                aria-labelledby="del-confirm-{{sc.id}}" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">¿Eliminar
                                                comentario?</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>

                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">No</button>
                                            <button type="button" class="btn btn-primary del-comm-ok"
                                                data-commid="{{sc.id}}" data-dismiss="modal">Si</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {%endif%}
                        </p>
                        <p> <time class="comment-date" datetime="{{ comm.created_date|date:'d-m-Y G:i:s' }}"><i
                                    class="fic-clock-o"></i>
                                {{ comm.created_date|date:'d-m-Y G:i:s' }}</time>
                        </p>
                        <p>{{sc.text}}</p>
                        <p>
                         <!--  {% if user.is_authenticated %}
                            <a class="float-right btn btn-outline-primary ml-2" data-toggle="collapse"
                                href="#replycollapse-{{sc.id}}" role="button" aria-expanded="false"
                                aria-controls="replycollapse-{{sc.id}}"> <i class="fic-reply"></i> Responder</a>
                            {%endif%}
                            --> 
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="collapse w-100" id="replycollapse-{{sc.id}}">
            <div class="card card-body">
                <div class="form-group pl-2 w-100">
                    <textarea class="form-control txt-comment-reply" rows="2" id="comment"></textarea>
                    <p class="text-right">
                        <a href="#" class="btn btn-default btn-sm add-reply" data-cid="{{comic.id}}"
                            data-commentid="{{sc.id}}">
                            <i class="fic-plus"></i> Agregar
                        </a>
                    </p>
                </div>
            </div>
        </div>
        {%endfor%}
    </div>
</div>
{%endif%}